> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contracts

> List contracts, paginated.



## OpenAPI

````yaml /reference/manage-vanta.json get /contracts
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /contracts:
    get:
      tags:
        - Contracts
      summary: List contracts
      description: List contracts, paginated.
      operationId: ListContracts
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Contract_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 65e1efde08e8478f143a8ff9
                          externalId: sharepoint-drive-item-123
                          name: Example Contract
                          customerTrustAccountId: null
                          executedDate: '2024-01-15T00:00:00.000Z'
                          creationDate: '2024-01-01T00:00:00.000Z'
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: 65e1efde08e8478f143a8ff9
                        endCursor: 65e1efde08e8478f143a8ff9
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_Contract_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Contract'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Contract:
      properties:
        id:
          type: string
          description: Unique identifier for the contract.
        externalId:
          type: string
          nullable: true
          description: Stable source-system identifier for the contract, if any.
        name:
          type: string
          description: Name of the contract.
        customerTrustAccountId:
          type: string
          nullable: true
          description: >-
            The ID of the customer trust account this contract is linked to, if
            any.
        executedDate:
          type: string
          format: date-time
          nullable: true
          description: Date this contract was executed.
        creationDate:
          type: string
          format: date-time
          description: Date this contract was created in Vanta.
      required:
        - id
        - externalId
        - name
        - customerTrustAccountId
        - executedDate
        - creationDate
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````